Uses of Interface
com.eqixiac.equinix.projects.model.Project
Packages that use Project
Package
Description
Projects client interfaces for the Equinix Java SDK.
-
Uses of Project in com.eqixiac.equinix.projects.client
Methods in com.eqixiac.equinix.projects.client that return types with arguments of type ProjectModifier and TypeMethodDescriptionProjectList.list()Lists the projects of the root organization based on the user's permissions.Lists the projects of the root organization, optionally including per-project user permissions and inbox-classified projects. -
Uses of Project in com.eqixiac.equinix.projects.client.implementation
Methods in com.eqixiac.equinix.projects.client.implementation that return types with arguments of type Project -
Uses of Project in com.eqixiac.equinix.projects.client.internal.implementation
Subclasses with type arguments of type Project in com.eqixiac.equinix.projects.client.internal.implementationModifier and TypeClassDescriptionclassInternal client for the read-only Equinix Resource Manager projects endpoint (GET /resourceManager/v2/projects).Classes in com.eqixiac.equinix.projects.client.internal.implementation that implement interfaces with type arguments of type ProjectModifier and TypeClassDescriptionclassInternal client for the read-only Equinix Resource Manager projects endpoint (GET /resourceManager/v2/projects).Methods in com.eqixiac.equinix.projects.client.internal.implementation that return Project -
Uses of Project in com.eqixiac.equinix.projects.model.json
Classes in com.eqixiac.equinix.projects.model.json that implement Project